Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(RISOLTO) Qtwebkit e nvidia
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Thu Aug 30, 2018 9:40 pm    Post subject: (RISOLTO) Qtwebkit e nvidia Reply with quote

Salve, mi sono impegnato ha installare Gentoo dopo varie prove e fallimenti sono riuscito ha installare la versione base con xorg funzionante ma adesso cerco di installare l'ambiente grafico (plasma) ma una dei pacchetti che si chiama qtwebkit ma da un massaggio scorrevole continuo con scritto "this use of defined may not be portable", come posso risolvere? Faccio un'altra domanda per evitare di fare un'altro post. Uno dei fallimenti che ho fatto nelle mie prove di installazione e quello di aver installare i driver proprietari della nvidia, ovviamente impostando su make.conf ma per l'appunto xorg non si avviava e mi dava errore e ho fatto una nuova installazione con i driver nouveau ma io ho sempre preferito i driver proprietari, qualcuno conosce quelli driver sono compatibile con la nvidia 630gt per evitare di fare altri casini?

Last edited by darkfor.con on Sun Sep 02, 2018 8:14 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19659
Location: here

PostPosted: Fri Aug 31, 2018 5:36 am    Post subject: Re: Qtwebkit e nvidia Reply with quote

darkfor.con wrote:
Salve, mi sono impegnato ha installare Gentoo dopo varie prove e fallimenti sono riuscito ha installare la versione base con xorg funzionante ma adesso cerco di installare l'ambiente grafico (plasma) ma una dei pacchetti che si chiama qtwebkit ma da un massaggio scorrevole continuo con scritto "this use of defined may not be portable", come posso risolvere?

Dovresti postare l'errore esatto che ti da se non e' difficile aiutarti. Prova ad usare wgetpaste che devi solo riportare un url

darkfor.con wrote:
Faccio un'altra domanda per evitare di fare un'altro post.

Giusto per informazione, problema diverso nuovo post.

darkfor.con wrote:
Uno dei fallimenti che ho fatto nelle mie prove di installazione e quello di aver installare i driver proprietari della nvidia, ovviamente impostando su make.conf ma per l'appunto xorg non si avviava e mi dava errore e ho fatto una nuova installazione con i driver nouveau ma io ho sempre preferito i driver proprietari, qualcuno conosce quelli driver sono compatibile con la nvidia 630gt per evitare di fare altri casini?

Anche qui stesso discorso fatto per il primo problema, dovresti postare sempre qualche log (in questo caso /var/log/Xorg.0.log).
A questo punto per questo problema apri un nuovo post e riporta anche il file /var/log/Xorg.0.log
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Fri Aug 31, 2018 9:44 am    Post subject: Reply with quote

Quote:
darkfor.con ha scritto:
Salve, mi sono impegnato ha installare Gentoo dopo varie prove e fallimenti sono riuscito ha installare la versione base con xorg funzionante ma adesso cerco di installare l'ambiente grafico (plasma) ma una dei pacchetti che si chiama qtwebkit ma da un massaggio scorrevole continuo con scritto "this use of defined may not be portable", come posso risolvere?

Dovresti postare l'errore esatto che ti da se non e' difficile aiutarti. Prova ad usare wgetpaste che devi solo riportare un url


Grazie della risposta ma il "problema" l'ho risolta da solo che l'ho fatto scorrere e la qtwebkit me l'ha installata e poi ha completato l'installazione di KDE, infatti ti sto scrivendo su Gentoo. La cosa non l'ha capivo perché mi dava questo errore ma mi sembrava che dopo tanto scorrimento di "this use of defined may not be portable" qualcosa l'ha compilava. Ma la questione era anche che ho fatto una ricerca su internet e su questo forum ma in versione inglese c'era un post di una persona con il mio stesso errore e diceva che aveva lasciato il pc e scorrere per 22 ore e continuava e darli quel messaggio ma io lasciandolo scorrere in giro di meno di un'ora ho completato tutto


Quote:
darkfor.con ha scritto:
Uno dei fallimenti che ho fatto nelle mie prove di installazione e quello di aver installare i driver proprietari della nvidia, ovviamente impostando su make.conf ma per l'appunto xorg non si avviava e mi dava errore e ho fatto una nuova installazione con i driver nouveau ma io ho sempre preferito i driver proprietari, qualcuno conosce quelli driver sono compatibile con la nvidia 630gt per evitare di fare altri casini?

Anche qui stesso discorso fatto per il primo problema, dovresti postare sempre qualche log (in questo caso /var/log/Xorg.0.log).
A questo punto per questo problema apri un nuovo post e riporta anche il file /var/log/Xorg.0.log[post=]

Lo avevo già fatto e in pratica mi cercava di
caricare i moduli di Nvidia ma poi mi dicevo che non trovava il device
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 611

PostPosted: Fri Aug 31, 2018 6:44 pm    Post subject: Reply with quote

CIao.

Per Nvidia posso solo rimandarti alla pagina WIKI

https://wiki.gentoo.org/wiki/NVidia/nvidia-drivers

seguila per filo e per segno. ed eventualmente apri un nuovo topic (per singolo problema) così è più facile seguire le discussioni.
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19659
Location: here

PostPosted: Fri Aug 31, 2018 7:00 pm    Post subject: Reply with quote

sabayonino wrote:
ed eventualmente apri un nuovo topic (per singolo problema) così è più facile seguire le discussioni.

e soprattutto posta i log se no e' impossibile aiutarti
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Fri Aug 31, 2018 8:18 pm    Post subject: Reply with quote

Quote:

CIao.

Per Nvidia posso solo rimandarti alla pagina WIKI

https://wiki.gentoo.org/wiki/NVidia/nvidia-drivers

seguila per filo e per segno. ed eventualmente apri un nuovo topic (per singolo problema) così è più facile seguire le discussioni.


ho già seguito la guida ma senza un package.mask mi installa una versione dei driver che non è compatibile (387) e ho già provato a mettere un package.mask per cercare di trovarmi un driver alla versione 390.xx perché in tutte le altre distro che avevo usato era quella la versione compatibile ma mi ha installato comunque una versione 391 ancora incompatibile. Con 391, con il primo reboot, uno schermo nero con solo il nouse, poi con un ctrl+alt+f2 con un startx, errore di xorg ho pure fatto un aggiornamento ma niente da fare e ho dovuto ritornare con nouveau
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19659
Location: here

PostPosted: Sat Sep 01, 2018 6:43 am    Post subject: Reply with quote

Non esiste nessuna version 391 in gentoo per driver nvidiav, cosa hai messo in package.mask?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Sat Sep 01, 2018 9:43 am    Post subject: Reply with quote

Quote:
Non esiste nessuna version 391 in gentoo per driver nvidiav, cosa hai messo in package.mask?


io avevo letto 391. Io ho messo semplicemente ">x11-drivers/nvidia-drivers-390" perché mi ricordavo che su altre distro di Linux erano quella versione la compatibile della mia scheda video ma non ricordavo la versione precisa. Pure io ho trovato quella pagina e ho fatto ricerche pure sul sito ufficiale della Nvidia per vedere quella era la versione precisa compatibile e ho trovato la versione 390.67 e l'ho installata ma sul comando "modprobe nvidia" mi da il messaggio:

Quote:
modprobe: ERROR: could not insert 'nvidia': No such device


e pure quando lo riavvio mi dice che non mi trova il device
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19659
Location: here

PostPosted: Sat Sep 01, 2018 10:47 am    Post subject: Reply with quote

Hai provato a mettere >=x11-drivers/nvidia-drivers-391? Penso che mettendo come hai fatto tu ti maschera tutte le versioni 390.xx
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Sat Sep 01, 2018 10:15 pm    Post subject: Reply with quote

Quote:
Hai provato a mettere >=x11-drivers/nvidia-drivers-391? Penso che mettendo come hai fatto tu ti maschera tutte le versioni 390.xx


Infatti, penso anch'io che sia così, anche se ovviamente ma mi ha installato solo la 391.0 che non è compatibile, almeno sul sito ufficiale della nvidia sulla ricerca dei driver della mia scheda video (GT 630) non è in lista ma anche installando altre versione come la 390.67 (che è in lista sul sito ufficiale) mi da lo stesso errore che ho già citato sul post precedente con il comando "modprobe nvidia" e ovviamente non parte xorg con il reboot
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19659
Location: here

PostPosted: Sun Sep 02, 2018 6:22 am    Post subject: Reply with quote

Dopo avere fatto modprobe cosa ti ritorna il comando dmesg | grep NVRM?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Sun Sep 02, 2018 8:14 am    Post subject: Reply with quote

grazie a tutti ho risolto, in pratica ho usato una guida di Funtoo (ma uso Gentoo) che era più in ordine e in lista per capire cosa dovevo fare. Forse quello che mi mancava era di mettere in blacklist Nouveau e di impostare manualmente i moduli. Scusate, sono appena arrivato su Gentoo e devo ancora capire tanto :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum